document.addEventListener('DOMContentLoaded', function() {
  const ctx = document.getElementById('stepChart').getContext('2d');
  const stepChart = new Chart(ctx, {
    type: 'line',
    data: {
      labels: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
      datasets: [{
        label: 'Steps',
        data: [5000, 7000, 8000, 6000, 9000, 12000, 11000],
        borderColor: '#d4a5c7',
        backgroundColor: 'rgba(212, 165, 199, 0.2)',
        borderWidth: 2,
        fill: true
      }]
    },
    options: {
      responsive: true,
      scales: {
        y: {
          beginAtZero: true
        }
      }
    }
  });
});